/**
 * find-package
 * Find lerna package by path or name
 */
import { LernaPackage } from '@typescript-tools/io-ts';
import { PackageDiscoveryError } from '@typescript-tools/lerna-packages';
import * as TE from 'fp-ts/TaskEither';
export declare type FindPackageError = PackageDiscoveryError | {
    type: 'unable to find package in monorepo';
    package: string;
};
export declare const findPackageIn: (packages: LernaPackage[]) => (packagePathOrName: string) => TE.TaskEither<FindPackageError, LernaPackage>;
/**
 * Returns specified package metadata.
 */
export declare const findPackage: (pathInsideMonorepo: string, packagePathOrName: string) => TE.TaskEither<FindPackageError, LernaPackage>;
//# sourceMappingURL=index.d.ts.map